Create start CDATA tag

- « XMLWriter::startAttributeNs

- XMLWriter::startComment »

- PHP Manual
- XMLWriter
- Create start CDATA tag

# XMLWriter::startCdata

# xmlwriter_start_cdata

(PHP 5 >= 5.1.2, PHP 7, PHP 8, PECL xmlwriter >= 0.1.0)

XMLWriter::startCdata -- xmlwriter_start_cdata — Create start CDATA tag

### Description

Object-oriented style

public XMLWriter::startCdata(): bool

Procedural style

xmlwriter_start_cdata(XMLWriter `$writer`): bool

Starts a CDATA.

### Parameters

`writer`

  Only for procedural calls. The XMLWriter instance that is being modified. This object is returned from a call to xmlwriter_open_uri() or xmlwriter_open_memory().

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
8.0.0 | `writer` expects an XMLWriter instance now; previously, a resource was expected.

### See Also

- XMLWriter::endCdata() - End current CDATA
- XMLWriter::writeCdata() - Write full CDATA tag